> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Create a vendor for Buildium

POST https://api.propexo.com/v1/vendors/buildium/
Content-Type: application/json

Create a vendor for Buildium| Interface | Method        |
| --------- | ------------- |
| Vendors   | POST /vendors |This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Reference: https://docs.propexo.com/api-reference/buildium/vendors/create-a-vendor-for-buildium

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a _v1_vendors_buildium__post_input.

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `vendor_category_id` (string, required) — The Propexo unique identifier for the vendor category
- `is_company` (boolean, required) — Indicates whether the vendor should be considered a company or person
- `first_name` (string, optional) — First name of the vendor. Required if `is_company` is `false`
- `last_name` (string, optional) — Last name of the vendor. Required if `is_company` is `false`
- `name` (string, optional) — Company name of the vendor. Required if `is_company` is `true`
- `email_1` (string, optional) — Primary email for the vendor
- `email_2` (string, optional) — Alternate email for the vendor
- `phone_1` (string, optional) — First phone number
- `phone_1_type` (enum, optional) — First phone number type
  - Allowed values: `HOME`, `WORK`, `MOBILE`, `FAX`
- `phone_2` (string, optional) — Second phone number
- `phone_2_type` (enum, optional) — Second phone number type
  - Allowed values: `HOME`, `WORK`, `MOBILE`, `FAX`
- `address_1` (string, optional) — The first address line associated with the vendor
- `address_2` (string, optional) — The second address line associated with the vendor
- `city` (string, optional) — The city associated with the vendor
- `state` (string, optional) — The state associated with the vendor
- `zip` (string, optional) — The zip code associated with the vendor
- `country` (string, optional) — The country associated with the vendor
- `account_number` (string, optional) — The account number associated with the vendor
- `website` (string, optional) — The website URL associated with the vendor
- `insurance_provider` (string, optional) — Vendor insurance provider
- `insurance_policy_number` (string, optional) — Vendor insurance policy number
- `insurance_expire_date` (string, optional) — Vendor insurance policy expiration date
- `notes` (string, optional) — Notes associated with the vendor
- `tax_id` (string, optional) — The unique identifier of the tax payer. Required if `tax_payer_type` is set
- `tax_payer_type` (enum, optional) — The tax payer type. Required if `tax_id` is set
  - Allowed values: `SSN`, `EIN`
- `tax_payer_name_1` (string, optional) — The tax payer name 1
- `tax_payer_name_2` (string, optional) — The tax payer name 2
- `tax_address_1` (string, optional) — The tax payer address line 1
- `tax_address_2` (string, optional) — The tax payer address line 2
- `tax_city` (string, optional) — The tax payer address city
- `tax_state` (string, optional) — The tax payer address state
- `tax_zip` (string, optional) — The tax payer address zip code
- `tax_country` (string, optional) — The tax payer address country

## Response

### 200

Successful response

- `meta` (V1VendorsBuildiumPostOutputMeta, required)
- `result` (V1VendorsBuildiumPostOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1VendorsBuildiumPostOutputMeta

- `job_id` (string, required)

### V1VendorsBuildiumPostOutputResult

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `vendor_category_id` (string, required) — The Propexo unique identifier for the vendor category
- `is_company` (boolean, required) — Indicates whether the vendor should be considered a company or person
- `first_name` (string, required, nullable) — First name of the vendor. Required if `is_company` is `false`
- `last_name` (string, required, nullable) — Last name of the vendor. Required if `is_company` is `false`
- `name` (string, required, nullable) — Company name of the vendor. Required if `is_company` is `true`
- `email_1` (string, required, nullable) — Primary email for the vendor
- `email_2` (string, required, nullable) — Alternate email for the vendor
- `phone_1` (string, required, nullable) — First phone number
- `phone_1_type` (enum, required) — First phone number type
  - Allowed values: `HOME`, `WORK`, `MOBILE`, `FAX`
- `phone_2` (string, required, nullable) — Second phone number
- `phone_2_type` (enum, required) — Second phone number type
  - Allowed values: `HOME`, `WORK`, `MOBILE`, `FAX`
- `address_1` (string, required, nullable) — The first address line associated with the vendor
- `address_2` (string, required, nullable) — The second address line associated with the vendor
- `city` (string, required, nullable) — The city associated with the vendor
- `state` (string, required, nullable) — The state associated with the vendor
- `zip` (string, required, nullable) — The zip code associated with the vendor
- `country` (string, required, nullable) — The country associated with the vendor
- `account_number` (string, required, nullable) — The account number associated with the vendor
- `website` (string, required, nullable) — The website URL associated with the vendor
- `insurance_provider` (string, required, nullable) — Vendor insurance provider
- `insurance_policy_number` (string, required, nullable) — Vendor insurance policy number
- `insurance_expire_date` (string, required, nullable) — Vendor insurance policy expiration date
- `notes` (string, required, nullable) — Notes associated with the vendor
- `tax_id` (string, required, nullable) — The unique identifier of the tax payer. Required if `tax_payer_type` is set
- `tax_payer_type` (enum, required) — The tax payer type. Required if `tax_id` is set
  - Allowed values: `SSN`, `EIN`
- `tax_payer_name_1` (string, required, nullable) — The tax payer name 1
- `tax_payer_name_2` (string, required, nullable) — The tax payer name 2
- `tax_address_1` (string, required, nullable) — The tax payer address line 1
- `tax_address_2` (string, required, nullable) — The tax payer address line 2
- `tax_city` (string, required, nullable) — The tax payer address city
- `tax_state` (string, required, nullable) — The tax payer address state
- `tax_zip` (string, required, nullable) — The tax payer address zip code
- `tax_country` (string, required, nullable) — The tax payer address country

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

## Examples

**Request**

```json
{
  "integration_id": "intg_987654321",
  "vendor_category_id": "cat_123456789",
  "is_company": true
}
```

**Response**

```json
{
  "meta": {
    "job_id": "job_20240615_001"
  },
  "result": {
    "integration_id": "intg_987654321",
    "vendor_category_id": "cat_123456789",
    "is_company": true,
    "first_name": "",
    "last_name": "",
    "name": "Greenfield Landscaping LLC",
    "email_1": "contact@greenfieldlandscaping.com",
    "email_2": "support@greenfieldlandscaping.com",
    "phone_1": "+1-555-123-4567",
    "phone_1_type": "WORK",
    "phone_2": "+1-555-987-6543",
    "phone_2_type": "MOBILE",
    "address_1": "1234 Elm Street",
    "address_2": "Suite 200",
    "city": "Springfield",
    "state": "IL",
    "zip": "62704",
    "country": "USA",
    "account_number": "ACC-456789123",
    "website": "https://www.greenfieldlandscaping.com",
    "insurance_provider": "Acme Insurance Co.",
    "insurance_policy_number": "POL123456789",
    "insurance_expire_date": "2025-12-31T23:59:59Z",
    "notes": "Preferred vendor for landscaping and maintenance services.",
    "tax_id": "12-3456789",
    "tax_payer_type": "EIN",
    "tax_payer_name_1": "Greenfield Landscaping LLC",
    "tax_payer_name_2": "",
    "tax_address_1": "1234 Elm Street",
    "tax_address_2": "Suite 200",
    "tax_city": "Springfield",
    "tax_state": "IL",
    "tax_zip": "62704",
    "tax_country": "USA"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/vendors/buildium/"

payload = {
    "integration_id": "intg_987654321",
    "vendor_category_id": "cat_123456789",
    "is_company": True
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/vendors/buildium/';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"integration_id":"intg_987654321","vendor_category_id":"cat_123456789","is_company":true}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/vendors/buildium/"

	payload := strings.NewReader("{\n  \"integration_id\": \"intg_987654321\",\n  \"vendor_category_id\": \"cat_123456789\",\n  \"is_company\": true\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/vendors/buildium/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"integration_id\": \"intg_987654321\",\n  \"vendor_category_id\": \"cat_123456789\",\n  \"is_company\": true\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/v1/vendors/buildium/")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"integration_id\": \"intg_987654321\",\n  \"vendor_category_id\": \"cat_123456789\",\n  \"is_company\": true\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/v1/vendors/buildium/', [
  'body' => '{
  "integration_id": "intg_987654321",
  "vendor_category_id": "cat_123456789",
  "is_company": true
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/vendors/buildium/");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"integration_id\": \"intg_987654321\",\n  \"vendor_category_id\": \"cat_123456789\",\n  \"is_company\": true\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "integration_id": "intg_987654321",
  "vendor_category_id": "cat_123456789",
  "is_company": true
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/vendors/buildium/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```